﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=12.5
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public SQLApp As SQL
	Private SQLDataBasePath As String = File.DirInternal
	Private SQLDataBaseName As String = "testsum.db"
		
End Sub

Public Sub InitializeBd
	
	DropBd
	If File.Exists(SQLDataBasePath, SQLDataBaseName) = False Then
		SQLApp.Initialize(SQLDataBasePath, SQLDataBaseName, True)
	Else
		SQLApp.Initialize(SQLDataBasePath, SQLDataBaseName, True)
	End If
	CreateTable
	
End Sub

Public Sub LoadList (Sql As String) As Object
	
	Try
		Dim result As ResultSet = SQLApp.ExecQuery(Sql)
		Return result
	Catch
		Return LastException
	End Try
		
End Sub

Private Sub CreateTable()

	Try
		
		Dim Query As String
		Query = "CREATE TABLE If Not Exists Account (Id INTEGER PRIMARY KEY AUTOINCREMENT,  Vle Integer Not Null, Vlr Real Not Null)"
		SQLApp.ExecNonQuery(Query)
					
	Catch
		MsgboxAsync(LastException, "")
	End Try
	
End Sub

Private Sub DropBd()

	Try
		If File.Exists(SQLDataBasePath, SQLDataBaseName) = True Then
			File.Delete(SQLDataBasePath, SQLDataBaseName)
		End If
	Catch
		MsgboxAsync(LastException, "")
	End Try
	
End Sub